package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 置业顾问KPI 
 * </p>
 *
 * @author yansen
 * @since 2020-04-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TsConsultantKpi implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 序号
     */
    @TableId(value = "serial_no", type = IdType.AUTO)
    private Integer serialNo;

    /**
     * 统计日期 格式YYYYMMDD
     */
    private String statisDate;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 楼盘id
     */
    private String buildingId;

    /**
     * 楼盘名称
     */
    private String buildingName;

    /**
     * 置业顾问ID
     */
    private Integer userId;

    /**
     * 置业顾问名称
     */
    private String userName;

    /**
     * 置业顾问手机号
     */
    private String phone;

    /**
     * 新增客户
     */
    private Integer newPersons;

    /**
     * 分享次数
     */
    private Integer shareNum;

    /**
     * 分享访问人数
     */
    private Integer visitPersons;

    /**
     * 分享访问次数
     */
    private Integer visitNum;

    /**
     * 分享拓客
     */
    private Integer sharePersons;

    /**
     * 主页访问人数
     */
    private Integer homePagePersons;

    /**
     * 主页访问次数
     */
    private Integer homePageNums;

    /**
     * 咨询数
     */
    private Integer chatPersons;

    /**
     * 点赞数
     */
    private Integer favorNum;

    /**
     * 客户总计
     */
    @TableField(exist = false)
    private Integer totalPersons;
}
